Summary:       The NetBSD make(1) tool
Name:          bmake
Version:       20240301
Release:       %mkrel 1
License:       BSD
Group:         Development/Tools
URL:           https://ftp.netbsd.org/pub/NetBSD/misc/sjg/
Source0:       https://ftp.netbsd.org/pub/NetBSD/misc/sjg/bmake-%{version}.tar.gz
Requires:      pmake
BuildRequires: pmake
BuildRequires: util-linux

%description
bmake, the NetBSD make tool, is a program designed to simplify the
maintenance of other programs.  The input of bmake is a list of specifications
indicating the files upon which the targets (programs and other files) depend.
bmake then detects which targets are out of date based on their dependencies
and triggers the necessary commands to bring them up to date when that happens.

bmake is similar to GNU make, even though the syntax for the advanced features
supported in Makefiles is very different.

%prep
%setup -q -n %{name}

%build
%configure --with-default-sys-path=%{_datadir}/mk
sh ./make-bootstrap.sh

%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 -c bmake %{buildroot}%{_bindir}/bmake
install -m 755 -d %{buildroot}%{_mandir}/man1
install -m 644 -c make.1 %{buildroot}%{_mandir}/man1/bmake.1

%files
%doc ChangeLog README
%{_bindir}/*
%{_mandir}/man1/*



%changelog
* Sun Mar 10 2024 daviddavid <daviddavid> 20240301-1.mga10
+ Revision: 2049029
- new version: 20240301

* Sat Feb 11 2023 mrambo3501 <mrambo3501> 20230101-1.mga9
+ Revision: 1940743
- version 20230101

* Sat Oct 22 2022 ghibo <ghibo> 20220928-1.mga9
+ Revision: 1898399
- Update to release 20220928

* Tue Oct 11 2022 neoclust <neoclust> 20220901-1.mga9
+ Revision: 1896250
- New version 20220901

* Wed Mar 30 2022 umeabot <umeabot> 20211221-2.mga9
+ Revision: 1833760
- Mageia 9 Mass Rebuild

* Sun Jan 16 2022 mrambo3501 <mrambo3501> 20211221-1.mga9
+ Revision: 1768627
- version 20211221

* Thu Mar 04 2021 daviddavid <daviddavid> 20210206-1.mga9
+ Revision: 1698109
- new version: 20210206

* Sun Oct 25 2020 shlomif <shlomif> 20201010-1.mga8
+ Revision: 1639284
- New version 20201010

* Sun Jul 12 2020 shlomif <shlomif> 20200710-1.mga8
+ Revision: 1605399
- New version 20200710

* Sat May 30 2020 shlomif <shlomif> 20200524-1.mga8
+ Revision: 1589079
- New version 20200524

* Thu May 21 2020 shlomif <shlomif> 20200517-1.mga8
+ Revision: 1586608
- New version 20200517

* Sat Feb 15 2020 umeabot <umeabot> 20181221-2.mga8
+ Revision: 1523905
- Mageia 8 Mass Rebuild

* Fri Mar 15 2019 shlomif <shlomif> 20181221-1.mga7
+ Revision: 1377627
- New version - thanks to fedora

* Fri Sep 21 2018 umeabot <umeabot> 20170812-2.mga7
+ Revision: 1295584
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 shlomif <shlomif> 20170812-1.mga7
+ Revision: 1168040
- New version 20170812

* Mon Jul 17 2017 shlomif <shlomif> 20170711-1.mga7
+ Revision: 1123908
- New version 20170711

* Sat Jan 14 2017 shlomif <shlomif> 20161212-1.mga6
+ Revision: 1081634
- New upstream version 20161212.

* Wed Jul 06 2016 shlomif <shlomif> 20150910-1.mga6
+ Revision: 1039191
- Importing based on the Fedora pkg


* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 20150910-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Oct 03 2015 Luis Bazan <lbazan@fedoraproject.org> - 20150910-1
- new upstream version

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20141111-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Dec 15 2014 Luis Bazan <lbazan@fedoraproject.org> - 20141111-1
- New upstream version

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20140620-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul 2 2014 Luis Bazan <lbazan@fedoraproject.org> - 20140620-1
- new upstream version

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20140214-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Feb 18 2014 Luis Bazan <lbazan@fedoraproject.org> - 20140214-1
- new upstream version

* Wed Jan 15 2014 Luis Bazan <lbazan@fedoraproject.org> - 20140101-1
- New Upstream version

* Tue Oct 29 2013 Luis Bazan <lbazan@fedoraproject.org> - 20131001-1
- New Upstream version

* Wed Aug 14 2013 Luis Bazan <lbazan@fedoraproject.org> - 20130730-1
- New Upstream Version

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20130330-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 16 2013 Luis Bazan <lbazan@fedoraproject.org> - 20130330-1
- New Upstream Version

* Wed Mar 06 2013 Luis Bazan <lbazan@fedoraproject.org> - 20130123-1
- New Upstream Version

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20120831-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Sep 05 2012 Luis Bazan <lbazan@fedoraproject.org> - 20120831-1
- New Upstream Version

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20120604-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 06 2012 Luis Bazan <bazanluis20@gmail.com> 20120604-2
- Changing destination of the sources

* Tue Jun 05 2012 Luis Bazan <bazanluis20@gmail.com> 20120604-1
- New Upstream Version 20120604-1.

* Mon Feb 06 2012 Julio Merino <jmmv@NetBSD.org> 20111111-1
- New upstream version.

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090222-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090222-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20090222-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Stepan Kasal <skasal@redhat.com> - 20090222-1
- new upstream version

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080515-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul 02 2008 Julio M. Merino Vidal <jmmv@NetBSD.org> - 20080515-1
- Initial release for Fedora.
